import torch
from torch import nn
import copy
import torch.nn.functional as F

class ImageCNN(nn.Module):
    def __init__(self, num_outputs, in_channels, out_channels, conv1_kernel, pool1_kernel, conv2_kernel, pool2_kernel):
        super(ImageCNN, self).__init__()
        # ==========
        # todo '''请搭建一个两层的卷积神经网络 结构为CNN --> ReLU --> MaxPooling
        # CNN --> ReLU --> MaxPooling --> FFN'''
        
        # CNN第一层参数包括：输入通道维 in_channels，输出通道维 out_channels, 卷积核大小 conv1_kernel
        # MaxPooling第一层参数包括： 卷积核大小 pool1_kernel；
        # CNN第二层参数包括：输入通道维 out_channels，输出通道维 out_channels, 卷积核大小 conv2_kernel
        # MaxPooling第二层参数包括： 卷积核大小 pool2_kernel；
        # 输出类别个数: num_outputs
        # ==========

        pass

    def forward(self, sent):
        # ==========
        # 补全卷机神经网络的前向传播算法
        # ===========

        pass


if __name__ == '__main__':
    model = Model_NP()